---
updatedAt: 2026-07-21T18:17:23.000Z
agentTools:
  projectIndex: https://docs.foursquare.com/fsq-developers-places/llms.txt
---

# Place Search

Search for places in the FSQ Places database using a location and querying by name, category name, telephone number, taste label, or chain name. For example, search for "coffee" to get back a list of recommended coffee shops. 

You may pass a location with your request by using one of the following options. If none of the following options are passed, Place Search defaults to geolocation using ip biasing with the optional radius parameter.

<ul><li>ll & radius (circular boundary)</li><li>near (geocodable locality)</li><li>ne & sw (rectangular boundary)</li></ul>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Places API",
    "description": "Places APIs",
    "version": "20250617"
  },
  "servers": [
    {
      "url": "https://places-api.foursquare.com"
    }
  ],
  "security": [
    {
      "ServiceKeyBearerTokenAuth": []
    }
  ],
  "paths": {
    "/places/search": {
      "get": {
        "tags": [
          "Search & Data Endpoints"
        ],
        "summary": "Place Search",
        "description": "Search for places in the FSQ Places database using a location and querying by name, category name, telephone number, taste label, or chain name. For example, search for \"coffee\" to get back a list of recommended coffee shops. \n\nYou may pass a location with your request by using one of the following options. If none of the following options are passed, Place Search defaults to geolocation using ip biasing with the optional radius parameter.\n\n<ul><li>ll & radius (circular boundary)</li><li>near (geocodable locality)</li><li>ne & sw (rectangular boundary)</li></ul>",
        "operationId": "place-search",
        "parameters": [
          {
            "name": "query",
            "in": "query",
            "description": "A string to be matched against all content for this place, including but not limited to venue name, category, telephone number, taste, and tips.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "ll",
            "in": "query",
            "description": "The latitude/longitude around which to retrieve place information. This must be specified as latitude,longitude (e.g., ll=41.8781,-87.6298).",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "radius",
            "in": "query",
            "description": "Sets a radius distance (in meters) used to define an area to bias search results. The maximum allowed radius is 100,000 meters. Radius can be used in combination with ll or ip biased geolocation only. By using radius, global search results will be omitted. If not provided, default radius applied is 22000 meters.",
            "required": false,
            "schema": {
              "maximum": 100000,
              "minimum": 0,
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "fsq_category_ids",
            "in": "query",
            "description": "Filters the response and returns FSQ Places matching the specified categories. Supports multiple Category IDs, separated by commas.\n\nFor a complete list of Foursquare Category IDs, refer to the <a href=\"https://docs.foursquare.com/data-products/docs/categories\" target=\"blank\">Category Taxonomy</a> page.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "fsq_chain_ids",
            "in": "query",
            "description": "Filters the response and returns FSQ Places matching the specified chains. Supports multiple chain IDs, separated by commas.\n\nFor more information on Foursquare Chain IDs, refer to the <a href=\"https://docs.foursquare.com/data-products/docs/chains\" target=\"blank\">Chains</a> page.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "exclude_fsq_chain_ids",
            "in": "query",
            "description": "Filters the response and returns FSQ Places not matching any of the specified chains. Supports multiple chain IDs, separated by commas. Cannot be used in conjunction with exclude_all_chains.\n\nFor more information on Foursquare Chain IDs, refer to the <a href=\"https://docs.foursquare.com/data-products/docs/chains\" target=\"blank\">Chains</a> page.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "exclude_all_chains",
            "in": "query",
            "description": "Filters the response by only returning FSQ Places that are not known to be part of any chain. Cannot be used in conjunction with exclude_chains.",
            "required": false,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "fields",
            "in": "query",
            "description": "Indicate which fields to return in the response, separated by commas. If no fields are specified, all <a href=\"response-fields#places-pro\" target=\"_blank\">Pro Fields</a> are returned by default. \n\nFor a complete list of returnable fields, refer to the <a href=\"response-fields\" target=\"_blank\">Places Response Fields</a> page.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "min_price",
            "in": "query",
            "description": "Restricts results to only those places within the specified price range. Valid values range between 1 (most affordable) to 4 (most expensive), inclusive.",
            "required": false,
            "schema": {
              "maximum": 4,
              "minimum": 1,
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "max_price",
            "in": "query",
            "description": "Restricts results to only those places within the specified price range. Valid values range between 1 (most affordable) to 4 (most expensive), inclusive.",
            "required": false,
            "schema": {
              "maximum": 4,
              "minimum": 1,
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "open_at",
            "in": "query",
            "description": "Support local day and local time requests through this parameter. To be specified as DOWTHHMM (e.g., 1T2130), where DOW is the day number 1-7 (Monday = 1, Sunday = 7) and time is in 24 hour format.\n\nPlaces that do not have opening hours will not be returned if this parameter is specified. Cannot be specified in conjunction with `open_now`.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "open_now",
            "in": "query",
            "description": "Restricts results to only those places that are open now.\n\nPlaces that do not have opening hours will not be returned if this parameter is specified. Cannot be specified in conjunction with `open_at`.",
            "required": false,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "tel_format",
            "in": "query",
            "description": "Specifies the format of the returned telephone number.",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "NATIONAL",
                "E164"
              ]
            }
          },
          {
            "name": "ne",
            "in": "query",
            "description": "The latitude/longitude representing the north/east points of a rectangle. Must be used with sw parameter to specify a rectangular search box. Global search results will be omitted.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sw",
            "in": "query",
            "description": "The latitude/longitude representing the south/west points of a rectangle. Must be used with ne parameter to specify a rectangular search box. Global search results will be omitted.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "near",
            "in": "query",
            "description": "A string naming a locality in the world (e.g., \"Chicago, IL\"). If the value is not geocodable, returns an error. Global search results will be omitted.",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "Specifies the order in which results are listed.",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "RELEVANCE",
                "RATING",
                "DISTANCE",
                "POPULARITY"
              ]
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The number of results to return, up to 50. Defaults to 10.",
            "required": false,
            "schema": {
              "maximum": 50,
              "minimum": 1,
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "X-Places-Api-Version",
            "in": "header",
            "description": "The version of the API to use.",
            "required": true,
            "schema": {
              "type": "string",
              "default": "2025-06-17",
              "enum": [
                "2025-06-17"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "results": {
                      "type": "array",
                      "properties": {
                        "traversable_again": {
                          "type": "boolean"
                        }
                      },
                      "items": {
                        "type": "object",
                        "properties": {
                          "fsq_place_id": {
                            "type": "string"
                          },
                          "latitude": {
                            "type": "number",
                            "format": "double"
                          },
                          "longitude": {
                            "type": "number",
                            "format": "double"
                          },
                          "categories": {
                            "type": "array",
                            "properties": {
                              "traversable_again": {
                                "type": "boolean"
                              }
                            },
                            "items": {
                              "type": "object",
                              "properties": {
                                "fsq_category_id": {
                                  "type": "string"
                                },
                                "name": {
                                  "type": "string"
                                },
                                "short_name": {
                                  "type": "string"
                                },
                                "plural_name": {
                                  "type": "string"
                                },
                                "icon": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string"
                                    },
                                    "created_at": {
                                      "type": "string",
                                      "format": "date-time"
                                    },
                                    "prefix": {
                                      "type": "string"
                                    },
                                    "suffix": {
                                      "type": "string"
                                    },
                                    "width": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "height": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "classifications": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
                                      },
                                      "items": {
                                        "type": "string"
                                      }
                                    },
                                    "tip": {
                                      "type": "object",
                                      "properties": {
                                        "id": {
                                          "type": "string"
                                        },
                                        "created_at": {
                                          "type": "string",
                                          "format": "date-time"
                                        },
                                        "text": {
                                          "type": "string"
                                        },
                                        "url": {
                                          "type": "string"
                                        },
                                        "photo": {},
                                        "lang": {
                                          "type": "string"
                                        },
                                        "agree_count": {
                                          "type": "integer",
                                          "format": "int32"
                                        },
                                        "disagree_count": {
                                          "type": "integer",
                                          "format": "int32"
                                        }
                                      }
                                    }
                                  },
                                  "description": "Category icon. Build a complete image URL by concatenating `prefix`, a pixel size, and `suffix`, as in `{prefix}88{suffix}`. Available sizes are 32, 44, 64, 88, 120, and 512."
                                }
                              }
                            }
                          },
                          "chains": {
                            "type": "array",
                            "properties": {
                              "traversable_again": {
                                "type": "boolean"
                              }
                            },
                            "items": {
                              "type": "object",
                              "properties": {
                                "fsq_chain_id": {
                                  "type": "string"
                                },
                                "name": {
                                  "type": "string"
                                },
                                "logo": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string"
                                    },
                                    "created_at": {
                                      "type": "string",
                                      "format": "date-time"
                                    },
                                    "prefix": {
                                      "type": "string"
                                    },
                                    "suffix": {
                                      "type": "string"
                                    },
                                    "width": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "height": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "classifications": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
                                      },
                                      "items": {
                                        "type": "string"
                                      }
                                    },
                                    "tip": {
                                      "type": "object",
                                      "properties": {
                                        "id": {
                                          "type": "string"
                                        },
                                        "created_at": {
                                          "type": "string",
                                          "format": "date-time"
                                        },
                                        "text": {
                                          "type": "string"
                                        },
                                        "url": {
                                          "type": "string"
                                        },
                                        "photo": {},
                                        "lang": {
                                          "type": "string"
                                        },
                                        "agree_count": {
                                          "type": "integer",
                                          "format": "int32"
                                        },
                                        "disagree_count": {
                                          "type": "integer",
                                          "format": "int32"
                                        }
                                      }
                                    }
                                  },
                                  "description": "Category icon. Build a complete image URL by concatenating `prefix`, a pixel size, and `suffix`, as in `{prefix}88{suffix}`. Available sizes are 32, 44, 64, 88, 120, and 512."
                                },
                                "parent_id": {
                                  "type": "string"
                                }
                              }
                            }
                          },
                          "date_closed": {
                            "type": "string",
                            "format": "date"
                          },
                          "date_created": {
                            "type": "string"
                          },
                          "date_refreshed": {
                            "type": "string"
                          },
                          "description": {
                            "type": "string"
                          },
                          "distance": {
                            "type": "integer",
                            "format": "int32"
                          },
                          "email": {
                            "type": "string"
                          },
                          "extended_location": {
                            "type": "object",
                            "properties": {
                              "dma": {
                                "type": "string"
                              },
                              "census_block_id": {
                                "type": "string"
                              }
                            }
                          },
                          "attributes": {
                            "type": "object",
                            "properties": {
                              "restroom": {
                                "type": "boolean"
                              },
                              "outdoor_seating": {
                                "type": "boolean"
                              },
                              "atm": {
                                "type": "boolean"
                              },
                              "has_parking": {
                                "type": "boolean"
                              },
                              "wifi": {
                                "type": "string"
                              },
                              "delivery": {
                                "type": "boolean"
                              },
                              "reservations": {
                                "type": "boolean"
                              },
                              "takes_credit_card": {
                                "type": "boolean"
                              }
                            }
                          },
                          "hours": {
                            "type": "object",
                            "properties": {
                              "display": {
                                "type": "string"
                              },
                              "is_local_holiday": {
                                "type": "boolean"
                              },
                              "open_now": {
                                "type": "boolean"
                              },
                              "regular": {
                                "type": "array",
                                "properties": {
                                  "traversable_again": {
                                    "type": "boolean"
                                  }
                                },
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "close": {
                                      "type": "string"
                                    },
                                    "day": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "open": {
                                      "type": "string"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "hours_popular": {
                            "type": "array",
                            "properties": {
                              "traversable_again": {
                                "type": "boolean"
                              }
                            },
                            "items": {
                              "type": "object",
                              "properties": {
                                "close": {
                                  "type": "string"
                                },
                                "day": {
                                  "type": "integer",
                                  "format": "int32"
                                },
                                "open": {
                                  "type": "string"
                                }
                              }
                            }
                          },
                          "link": {
                            "type": "string"
                          },
                          "location": {
                            "type": "object",
                            "properties": {
                              "address": {
                                "type": "string"
                              },
                              "locality": {
                                "type": "string"
                              },
                              "region": {
                                "type": "string"
                              },
                              "postcode": {
                                "type": "string"
                              },
                              "admin_region": {
                                "type": "string"
                              },
                              "post_town": {
                                "type": "string"
                              },
                              "po_box": {
                                "type": "string"
                              },
                              "country": {
                                "type": "string"
                              },
                              "formatted_address": {
                                "type": "string"
                              }
                            }
                          },
                          "menu": {
                            "type": "string"
                          },
                          "name": {
                            "type": "string"
                          },
                          "photos": {
                            "type": "array",
                            "properties": {
                              "traversable_again": {
                                "type": "boolean"
                              }
                            },
                            "items": {
                              "type": "object",
                              "properties": {
                                "fsq_photo_id": {
                                  "type": "string"
                                },
                                "created_at": {
                                  "type": "string",
                                  "format": "date-time"
                                },
                                "prefix": {
                                  "type": "string"
                                },
                                "suffix": {
                                  "type": "string"
                                },
                                "width": {
                                  "type": "integer",
                                  "format": "int32"
                                },
                                "height": {
                                  "type": "integer",
                                  "format": "int32"
                                },
                                "classifications": {
                                  "type": "array",
                                  "properties": {
                                    "traversable_again": {
                                      "type": "boolean"
                                    }
                                  },
                                  "items": {
                                    "type": "string"
                                  }
                                },
                                "tip": {
                                  "type": "object",
                                  "properties": {
                                    "fsq_tip_id": {
                                      "type": "string"
                                    },
                                    "created_at": {
                                      "type": "string",
                                      "format": "date-time"
                                    },
                                    "text": {
                                      "type": "string"
                                    },
                                    "url": {
                                      "type": "string"
                                    },
                                    "photo": {
                                      "type": "object",
                                      "properties": {
                                        "id": {
                                          "type": "string"
                                        },
                                        "created_at": {
                                          "type": "string",
                                          "format": "date-time"
                                        },
                                        "prefix": {
                                          "type": "string"
                                        },
                                        "suffix": {
                                          "type": "string"
                                        },
                                        "width": {
                                          "type": "integer",
                                          "format": "int32"
                                        },
                                        "height": {
                                          "type": "integer",
                                          "format": "int32"
                                        },
                                        "classifications": {
                                          "type": "array",
                                          "properties": {
                                            "traversable_again": {
                                              "type": "boolean"
                                            }
                                          },
                                          "items": {
                                            "type": "string"
                                          }
                                        },
                                        "tip": {
                                          "type": "object",
                                          "properties": {
                                            "id": {
                                              "type": "string"
                                            },
                                            "created_at": {
                                              "type": "string",
                                              "format": "date-time"
                                            },
                                            "text": {
                                              "type": "string"
                                            },
                                            "url": {
                                              "type": "string"
                                            },
                                            "photo": {},
                                            "lang": {
                                              "type": "string"
                                            },
                                            "agree_count": {
                                              "type": "integer",
                                              "format": "int32"
                                            },
                                            "disagree_count": {
                                              "type": "integer",
                                              "format": "int32"
                                            }
                                          }
                                        }
                                      },
                                      "description": "Category icon. Build a complete image URL by concatenating `prefix`, a pixel size, and `suffix`, as in `{prefix}88{suffix}`. Available sizes are 32, 44, 64, 88, 120, and 512."
                                    },
                                    "lang": {
                                      "type": "string"
                                    },
                                    "agree_count": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "disagree_count": {
                                      "type": "integer",
                                      "format": "int32"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "place_actions": {
                            "type": "array",
                            "properties": {
                              "traversable_again": {
                                "type": "boolean"
                              }
                            },
                            "items": {
                              "type": "object",
                              "properties": {
                                "action": {
                                  "type": "string"
                                },
                                "url": {
                                  "type": "string"
                                },
                                "provider_id": {
                                  "type": "string"
                                }
                              }
                            }
                          },
                          "popularity": {
                            "type": "number",
                            "format": "double"
                          },
                          "placemaker_url": {
                            "type": "string"
                          },
                          "price": {
                            "type": "integer",
                            "format": "int32"
                          },
                          "rating": {
                            "type": "number",
                            "format": "double"
                          },
                          "related_places": {
                            "type": "object",
                            "properties": {
                              "parent": {
                                "type": "object",
                                "properties": {
                                  "fsq_place_id": {
                                    "type": "string"
                                  },
                                  "latitude": {
                                    "type": "number",
                                    "format": "double"
                                  },
                                  "longitude": {
                                    "type": "number",
                                    "format": "double"
                                  },
                                  "categories": {
                                    "type": "array",
                                    "properties": {
                                      "traversable_again": {
                                        "type": "boolean"
                                      }
                                    },
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "fsq_category_id": {
                                          "type": "string"
                                        },
                                        "name": {
                                          "type": "string"
                                        },
                                        "short_name": {
                                          "type": "string"
                                        },
                                        "plural_name": {
                                          "type": "string"
                                        },
                                        "icon": {
                                          "type": "object",
                                          "properties": {
                                            "id": {
                                              "type": "string"
                                            },
                                            "created_at": {
                                              "type": "string",
                                              "format": "date-time"
                                            },
                                            "prefix": {
                                              "type": "string"
                                            },
                                            "suffix": {
                                              "type": "string"
                                            },
                                            "width": {
                                              "type": "integer",
                                              "format": "int32"
                                            },
                                            "height": {
                                              "type": "integer",
                                              "format": "int32"
                                            },
                                            "classifications": {
                                              "type": "array",
                                              "properties": {
                                                "traversable_again": {
                                                  "type": "boolean"
                                                }
                                              },
                                              "items": {
                                                "type": "string"
                                              }
                                            },
                                            "tip": {
                                              "type": "object",
                                              "properties": {
                                                "id": {
                                                  "type": "string"
                                                },
                                                "created_at": {
                                                  "type": "string",
                                                  "format": "date-time"
                                                },
                                                "text": {
                                                  "type": "string"
                                                },
                                                "url": {
                                                  "type": "string"
                                                },
                                                "photo": {},
                                                "lang": {
                                                  "type": "string"
                                                },
                                                "agree_count": {
                                                  "type": "integer",
                                                  "format": "int32"
                                                },
                                                "disagree_count": {
                                                  "type": "integer",
                                                  "format": "int32"
                                                }
                                              }
                                            }
                                          },
                                          "description": "Category icon. Build a complete image URL by concatenating `prefix`, a pixel size, and `suffix`, as in `{prefix}88{suffix}`. Available sizes are 32, 44, 64, 88, 120, and 512."
                                        }
                                      }
                                    }
                                  },
                                  "chains": {
                                    "type": "array",
                                    "properties": {
                                      "traversable_again": {
                                        "type": "boolean"
                                      }
                                    },
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "fsq_chain_id": {
                                          "type": "string"
                                        },
                                        "name": {
                                          "type": "string"
                                        },
                                        "logo": {
                                          "type": "object",
                                          "properties": {
                                            "id": {
                                              "type": "string"
                                            },
                                            "created_at": {
                                              "type": "string",
                                              "format": "date-time"
                                            },
                                            "prefix": {
                                              "type": "string"
                                            },
                                            "suffix": {
                                              "type": "string"
                                            },
                                            "width": {
                                              "type": "integer",
                                              "format": "int32"
                                            },
                                            "height": {
                                              "type": "integer",
                                              "format": "int32"
                                            },
                                            "classifications": {
                                              "type": "array",
                                              "properties": {
                                                "traversable_again": {
                                                  "type": "boolean"
                                                }
                                              },
                                              "items": {
                                                "type": "string"
                                              }
                                            },
                                            "tip": {
                                              "type": "object",
                                              "properties": {
                                                "id": {
                                                  "type": "string"
                                                },
                                                "created_at": {
                                                  "type": "string",
                                                  "format": "date-time"
                                                },
                                                "text": {
                                                  "type": "string"
                                                },
                                                "url": {
                                                  "type": "string"
                                                },
                                                "photo": {},
                                                "lang": {
                                                  "type": "string"
                                                },
                                                "agree_count": {
                                                  "type": "integer",
                                                  "format": "int32"
                                                },
                                                "disagree_count": {
                                                  "type": "integer",
                                                  "format": "int32"
                                                }
                                              }
                                            }
                                          },
                                          "description": "Category icon. Build a complete image URL by concatenating `prefix`, a pixel size, and `suffix`, as in `{prefix}88{suffix}`. Available sizes are 32, 44, 64, 88, 120, and 512."
                                        },
                                        "parent_id": {
                                          "type": "string"
                                        }
                                      }
                                    }
                                  },
                                  "date_closed": {
                                    "type": "string",
                                    "format": "date"
                                  },
                                  "date_created": {
                                    "type": "string"
                                  },
                                  "date_refreshed": {
                                    "type": "string"
                                  },
                                  "description": {
                                    "type": "string"
                                  },
                                  "distance": {
                                    "type": "integer",
                                    "format": "int32"
                                  },
                                  "email": {
                                    "type": "string"
                                  },
                                  "extended_location": {
                                    "type": "object",
                                    "properties": {
                                      "dma": {
                                        "type": "string"
                                      },
                                      "census_block_id": {
                                        "type": "string"
                                      }
                                    }
                                  },
                                  "attributes": {
                                    "type": "object",
                                    "properties": {
                                      "restroom": {
                                        "type": "boolean"
                                      },
                                      "outdoor_seating": {
                                        "type": "boolean"
                                      },
                                      "atm": {
                                        "type": "boolean"
                                      },
                                      "has_parking": {
                                        "type": "boolean"
                                      },
                                      "wifi": {
                                        "type": "string"
                                      },
                                      "delivery": {
                                        "type": "boolean"
                                      },
                                      "reservations": {
                                        "type": "boolean"
                                      },
                                      "takes_credit_card": {
                                        "type": "boolean"
                                      }
                                    }
                                  },
                                  "hours": {
                                    "type": "object",
                                    "properties": {
                                      "display": {
                                        "type": "string"
                                      },
                                      "is_local_holiday": {
                                        "type": "boolean"
                                      },
                                      "open_now": {
                                        "type": "boolean"
                                      },
                                      "regular": {
                                        "type": "array",
                                        "properties": {
                                          "traversable_again": {
                                            "type": "boolean"
                                          }
                                        },
                                        "items": {
                                          "type": "object",
                                          "properties": {
                                            "close": {
                                              "type": "string"
                                            },
                                            "day": {
                                              "type": "integer",
                                              "format": "int32"
                                            },
                                            "open": {
                                              "type": "string"
                                            }
                                          }
                                        }
                                      }
                                    }
                                  },
                                  "hours_popular": {
                                    "type": "array",
                                    "properties": {
                                      "traversable_again": {
                                        "type": "boolean"
                                      }
                                    },
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "close": {
                                          "type": "string"
                                        },
                                        "day": {
                                          "type": "integer",
                                          "format": "int32"
                                        },
                                        "open": {
                                          "type": "string"
                                        }
                                      }
                                    }
                                  },
                                  "link": {
                                    "type": "string"
                                  },
                                  "location": {
                                    "type": "object",
                                    "properties": {
                                      "address": {
                                        "type": "string"
                                      },
                                      "locality": {
                                        "type": "string"
                                      },
                                      "region": {
                                        "type": "string"
                                      },
                                      "postcode": {
                                        "type": "string"
                                      },
                                      "admin_region": {
                                        "type": "string"
                                      },
                                      "post_town": {
                                        "type": "string"
                                      },
                                      "po_box": {
                                        "type": "string"
                                      },
                                      "country": {
                                        "type": "string"
                                      },
                                      "formatted_address": {
                                        "type": "string"
                                      }
                                    }
                                  },
                                  "menu": {
                                    "type": "string"
                                  },
                                  "name": {
                                    "type": "string"
                                  },
                                  "photos": {
                                    "type": "array",
                                    "properties": {
                                      "traversable_again": {
                                        "type": "boolean"
                                      }
                                    },
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "id": {
                                          "type": "string"
                                        },
                                        "created_at": {
                                          "type": "string",
                                          "format": "date-time"
                                        },
                                        "prefix": {
                                          "type": "string"
                                        },
                                        "suffix": {
                                          "type": "string"
                                        },
                                        "width": {
                                          "type": "integer",
                                          "format": "int32"
                                        },
                                        "height": {
                                          "type": "integer",
                                          "format": "int32"
                                        },
                                        "tip": {
                                          "type": "object",
                                          "properties": {
                                            "id": {
                                              "type": "string"
                                            },
                                            "created_at": {
                                              "type": "string",
                                              "format": "date-time"
                                            },
                                            "text": {
                                              "type": "string"
                                            },
                                            "url": {
                                              "type": "string"
                                            },
                                            "photo": {},
                                            "lang": {
                                              "type": "string"
                                            },
                                            "agree_count": {
                                              "type": "integer",
                                              "format": "int32"
                                            },
                                            "disagree_count": {
                                              "type": "integer",
                                              "format": "int32"
                                            }
                                          }
                                        }
                                      }
                                    }
                                  },
                                  "place_actions": {
                                    "type": "array",
                                    "properties": {
                                      "traversable_again": {
                                        "type": "boolean"
                                      }
                                    },
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "action": {
                                          "type": "string"
                                        },
                                        "url": {
                                          "type": "string"
                                        },
                                        "provider_id": {
                                          "type": "string"
                                        }
                                      }
                                    }
                                  },
                                  "popularity": {
                                    "type": "number",
                                    "format": "double"
                                  },
                                  "placemaker_url": {
                                    "type": "string"
                                  },
                                  "price": {
                                    "type": "integer",
                                    "format": "int32"
                                  },
                                  "rating": {
                                    "type": "number",
                                    "format": "double"
                                  },
                                  "social_media": {
                                    "type": "object",
                                    "properties": {
                                      "facebook_id": {
                                        "type": "string"
                                      },
                                      "instagram": {
                                        "type": "string"
                                      },
                                      "twitter": {
                                        "type": "string"
                                      }
                                    }
                                  },
                                  "stats": {
                                    "type": "object",
                                    "properties": {
                                      "total_photos": {
                                        "type": "integer",
                                        "format": "int32"
                                      },
                                      "total_ratings": {
                                        "type": "integer",
                                        "format": "int64"
                                      },
                                      "total_tips": {
                                        "type": "integer",
                                        "format": "int32"
                                      }
                                    }
                                  },
                                  "store_id": {
                                    "type": "string"
                                  },
                                  "tastes": {
                                    "type": "array",
                                    "properties": {
                                      "traversable_again": {
                                        "type": "boolean"
                                      }
                                    },
                                    "items": {
                                      "type": "string"
                                    }
                                  },
                                  "tel": {
                                    "type": "string"
                                  },
                                  "tips": {
                                    "type": "array",
                                    "properties": {
                                      "traversable_again": {
                                        "type": "boolean"
                                      }
                                    },
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "id": {
                                          "type": "string"
                                        },
                                        "created_at": {
                                          "type": "string",
                                          "format": "date-time"
                                        },
                                        "text": {
                                          "type": "string"
                                        },
                                        "url": {
                                          "type": "string"
                                        },
                                        "photo": {},
                                        "lang": {
                                          "type": "string"
                                        },
                                        "agree_count": {
                                          "type": "integer",
                                          "format": "int32"
                                        },
                                        "disagree_count": {
                                          "type": "integer",
                                          "format": "int32"
                                        }
                                      }
                                    }
                                  },
                                  "website": {
                                    "type": "string"
                                  }
                                }
                              },
                              "children": {
                                "type": "array",
                                "properties": {
                                  "traversable_again": {
                                    "type": "boolean"
                                  }
                                },
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "fsq_place_id": {
                                      "type": "string"
                                    },
                                    "latitude": {
                                      "type": "number",
                                      "format": "double"
                                    },
                                    "longitude": {
                                      "type": "number",
                                      "format": "double"
                                    },
                                    "categories": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
                                      },
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "fsq_category_id": {
                                            "type": "string"
                                          },
                                          "name": {
                                            "type": "string"
                                          },
                                          "short_name": {
                                            "type": "string"
                                          },
                                          "plural_name": {
                                            "type": "string"
                                          },
                                          "icon": {
                                            "type": "object",
                                            "properties": {
                                              "id": {
                                                "type": "string"
                                              },
                                              "created_at": {
                                                "type": "string",
                                                "format": "date-time"
                                              },
                                              "prefix": {
                                                "type": "string"
                                              },
                                              "suffix": {
                                                "type": "string"
                                              },
                                              "width": {
                                                "type": "integer",
                                                "format": "int32"
                                              },
                                              "height": {
                                                "type": "integer",
                                                "format": "int32"
                                              },
                                              "classifications": {
                                                "type": "array",
                                                "properties": {
                                                  "traversable_again": {
                                                    "type": "boolean"
                                                  }
                                                },
                                                "items": {
                                                  "type": "string"
                                                }
                                              },
                                              "tip": {
                                                "type": "object",
                                                "properties": {
                                                  "id": {
                                                    "type": "string"
                                                  },
                                                  "created_at": {
                                                    "type": "string",
                                                    "format": "date-time"
                                                  },
                                                  "text": {
                                                    "type": "string"
                                                  },
                                                  "url": {
                                                    "type": "string"
                                                  },
                                                  "photo": {},
                                                  "lang": {
                                                    "type": "string"
                                                  },
                                                  "agree_count": {
                                                    "type": "integer",
                                                    "format": "int32"
                                                  },
                                                  "disagree_count": {
                                                    "type": "integer",
                                                    "format": "int32"
                                                  }
                                                }
                                              }
                                            },
                                            "description": "Category icon. Build a complete image URL by concatenating `prefix`, a pixel size, and `suffix`, as in `{prefix}88{suffix}`. Available sizes are 32, 44, 64, 88, 120, and 512."
                                          }
                                        }
                                      }
                                    },
                                    "chains": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
                                      },
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "fsq_chain_id": {
                                            "type": "string"
                                          },
                                          "name": {
                                            "type": "string"
                                          },
                                          "logo": {
                                            "type": "object",
                                            "properties": {
                                              "id": {
                                                "type": "string"
                                              },
                                              "created_at": {
                                                "type": "string",
                                                "format": "date-time"
                                              },
                                              "prefix": {
                                                "type": "string"
                                              },
                                              "suffix": {
                                                "type": "string"
                                              },
                                              "width": {
                                                "type": "integer",
                                                "format": "int32"
                                              },
                                              "height": {
                                                "type": "integer",
                                                "format": "int32"
                                              },
                                              "classifications": {
                                                "type": "array",
                                                "properties": {
                                                  "traversable_again": {
                                                    "type": "boolean"
                                                  }
                                                },
                                                "items": {
                                                  "type": "string"
                                                }
                                              },
                                              "tip": {
                                                "type": "object",
                                                "properties": {
                                                  "id": {
                                                    "type": "string"
                                                  },
                                                  "created_at": {
                                                    "type": "string",
                                                    "format": "date-time"
                                                  },
                                                  "text": {
                                                    "type": "string"
                                                  },
                                                  "url": {
                                                    "type": "string"
                                                  },
                                                  "photo": {},
                                                  "lang": {
                                                    "type": "string"
                                                  },
                                                  "agree_count": {
                                                    "type": "integer",
                                                    "format": "int32"
                                                  },
                                                  "disagree_count": {
                                                    "type": "integer",
                                                    "format": "int32"
                                                  }
                                                }
                                              }
                                            },
                                            "description": "Category icon. Build a complete image URL by concatenating `prefix`, a pixel size, and `suffix`, as in `{prefix}88{suffix}`. Available sizes are 32, 44, 64, 88, 120, and 512."
                                          },
                                          "parent_id": {
                                            "type": "string"
                                          }
                                        }
                                      }
                                    },
                                    "date_closed": {
                                      "type": "string",
                                      "format": "date"
                                    },
                                    "date_created": {
                                      "type": "string"
                                    },
                                    "date_refreshed": {
                                      "type": "string"
                                    },
                                    "description": {
                                      "type": "string"
                                    },
                                    "distance": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "email": {
                                      "type": "string"
                                    },
                                    "extended_location": {
                                      "type": "object",
                                      "properties": {
                                        "dma": {
                                          "type": "string"
                                        },
                                        "census_block_id": {
                                          "type": "string"
                                        }
                                      }
                                    },
                                    "attributes": {
                                      "type": "object",
                                      "properties": {
                                        "restroom": {
                                          "type": "boolean"
                                        },
                                        "outdoor_seating": {
                                          "type": "boolean"
                                        },
                                        "atm": {
                                          "type": "boolean"
                                        },
                                        "has_parking": {
                                          "type": "boolean"
                                        },
                                        "wifi": {
                                          "type": "string"
                                        },
                                        "delivery": {
                                          "type": "boolean"
                                        },
                                        "reservations": {
                                          "type": "boolean"
                                        },
                                        "takes_credit_card": {
                                          "type": "boolean"
                                        }
                                      }
                                    },
                                    "hours": {
                                      "type": "object",
                                      "properties": {
                                        "display": {
                                          "type": "string"
                                        },
                                        "is_local_holiday": {
                                          "type": "boolean"
                                        },
                                        "open_now": {
                                          "type": "boolean"
                                        },
                                        "regular": {
                                          "type": "array",
                                          "properties": {
                                            "traversable_again": {
                                              "type": "boolean"
                                            }
                                          },
                                          "items": {
                                            "type": "object",
                                            "properties": {
                                              "close": {
                                                "type": "string"
                                              },
                                              "day": {
                                                "type": "integer",
                                                "format": "int32"
                                              },
                                              "open": {
                                                "type": "string"
                                              }
                                            }
                                          }
                                        }
                                      }
                                    },
                                    "hours_popular": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
                                      },
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "close": {
                                            "type": "string"
                                          },
                                          "day": {
                                            "type": "integer",
                                            "format": "int32"
                                          },
                                          "open": {
                                            "type": "string"
                                          }
                                        }
                                      }
                                    },
                                    "link": {
                                      "type": "string"
                                    },
                                    "location": {
                                      "type": "object",
                                      "properties": {
                                        "address": {
                                          "type": "string"
                                        },
                                        "locality": {
                                          "type": "string"
                                        },
                                        "region": {
                                          "type": "string"
                                        },
                                        "postcode": {
                                          "type": "string"
                                        },
                                        "admin_region": {
                                          "type": "string"
                                        },
                                        "post_town": {
                                          "type": "string"
                                        },
                                        "po_box": {
                                          "type": "string"
                                        },
                                        "country": {
                                          "type": "string"
                                        },
                                        "formatted_address": {
                                          "type": "string"
                                        }
                                      }
                                    },
                                    "menu": {
                                      "type": "string"
                                    },
                                    "name": {
                                      "type": "string"
                                    },
                                    "photos": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
                                      },
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "id": {
                                            "type": "string"
                                          },
                                          "created_at": {
                                            "type": "string",
                                            "format": "date-time"
                                          },
                                          "prefix": {
                                            "type": "string"
                                          },
                                          "suffix": {
                                            "type": "string"
                                          },
                                          "width": {
                                            "type": "integer",
                                            "format": "int32"
                                          },
                                          "height": {
                                            "type": "integer",
                                            "format": "int32"
                                          },
                                          "tip": {
                                            "type": "object",
                                            "properties": {
                                              "id": {
                                                "type": "string"
                                              },
                                              "created_at": {
                                                "type": "string",
                                                "format": "date-time"
                                              },
                                              "text": {
                                                "type": "string"
                                              },
                                              "url": {
                                                "type": "string"
                                              },
                                              "photo": {},
                                              "lang": {
                                                "type": "string"
                                              },
                                              "agree_count": {
                                                "type": "integer",
                                                "format": "int32"
                                              },
                                              "disagree_count": {
                                                "type": "integer",
                                                "format": "int32"
                                              }
                                            }
                                          }
                                        }
                                      }
                                    },
                                    "place_actions": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
                                      },
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "action": {
                                            "type": "string"
                                          },
                                          "url": {
                                            "type": "string"
                                          },
                                          "provider_id": {
                                            "type": "string"
                                          }
                                        }
                                      }
                                    },
                                    "popularity": {
                                      "type": "number",
                                      "format": "double"
                                    },
                                    "placemaker_url": {
                                      "type": "string"
                                    },
                                    "price": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "rating": {
                                      "type": "number",
                                      "format": "double"
                                    },
                                    "social_media": {
                                      "type": "object",
                                      "properties": {
                                        "facebook_id": {
                                          "type": "string"
                                        },
                                        "instagram": {
                                          "type": "string"
                                        },
                                        "twitter": {
                                          "type": "string"
                                        }
                                      }
                                    },
                                    "stats": {
                                      "type": "object",
                                      "properties": {
                                        "total_photos": {
                                          "type": "integer",
                                          "format": "int32"
                                        },
                                        "total_ratings": {
                                          "type": "integer",
                                          "format": "int64"
                                        },
                                        "total_tips": {
                                          "type": "integer",
                                          "format": "int32"
                                        }
                                      }
                                    },
                                    "store_id": {
                                      "type": "string"
                                    },
                                    "tastes": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
                                      },
                                      "items": {
                                        "type": "string"
                                      }
                                    },
                                    "tel": {
                                      "type": "string"
                                    },
                                    "tips": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
                                      },
                                      "items": {
                                        "type": "object",
                                        "properties": {
                                          "id": {
                                            "type": "string"
                                          },
                                          "created_at": {
                                            "type": "string",
                                            "format": "date-time"
                                          },
                                          "text": {
                                            "type": "string"
                                          },
                                          "url": {
                                            "type": "string"
                                          },
                                          "photo": {},
                                          "lang": {
                                            "type": "string"
                                          },
                                          "agree_count": {
                                            "type": "integer",
                                            "format": "int32"
                                          },
                                          "disagree_count": {
                                            "type": "integer",
                                            "format": "int32"
                                          }
                                        }
                                      }
                                    },
                                    "website": {
                                      "type": "string"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "social_media": {
                            "type": "object",
                            "properties": {
                              "facebook_id": {
                                "type": "string"
                              },
                              "instagram": {
                                "type": "string"
                              },
                              "twitter": {
                                "type": "string"
                              }
                            }
                          },
                          "stats": {
                            "type": "object",
                            "properties": {
                              "total_photos": {
                                "type": "integer",
                                "format": "int32"
                              },
                              "total_ratings": {
                                "type": "integer",
                                "format": "int64"
                              },
                              "total_tips": {
                                "type": "integer",
                                "format": "int32"
                              }
                            }
                          },
                          "store_id": {
                            "type": "string"
                          },
                          "tastes": {
                            "type": "array",
                            "properties": {
                              "traversable_again": {
                                "type": "boolean"
                              }
                            },
                            "items": {
                              "type": "string"
                            }
                          },
                          "tel": {
                            "type": "string"
                          },
                          "tips": {
                            "type": "array",
                            "properties": {
                              "traversable_again": {
                                "type": "boolean"
                              }
                            },
                            "items": {
                              "type": "object",
                              "properties": {
                                "fsq_tip_id": {
                                  "type": "string"
                                },
                                "created_at": {
                                  "type": "string",
                                  "format": "date-time"
                                },
                                "text": {
                                  "type": "string"
                                },
                                "url": {
                                  "type": "string"
                                },
                                "photo": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string"
                                    },
                                    "created_at": {
                                      "type": "string",
                                      "format": "date-time"
                                    },
                                    "prefix": {
                                      "type": "string"
                                    },
                                    "suffix": {
                                      "type": "string"
                                    },
                                    "width": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "height": {
                                      "type": "integer",
                                      "format": "int32"
                                    },
                                    "classifications": {
                                      "type": "array",
                                      "properties": {
                                        "traversable_again": {
                                          "type": "boolean"
                                        }
[...]
